LeSZ0
Posts: 3
Joined: Thu Jul 12, 2018 4:50 am

Cannot install realtek rtl8822be WiFi Driver

Thu Jul 12, 2018 4:58 am

Hi all!
I've a problem trying install the rtlwifi_new module.
When i try run "make" command, the result of my terminal is the follow:
Makefile:970: *** "Cannot generate ORC metadata for CONFIG_UNWINDER_ORC=y, please install libelf-dev, libelf-devel or elfutils-libelf-devel"
I've installed libelf-devel but the error persist..
Anyone can help me with these? Thanks!

User avatar
kyrios
Posts: 2161
Joined: Thu Sep 22, 2016 4:20 pm

Re: Cannot install realtek rtl8822be WiFi Driver

Thu Jul 12, 2018 8:12 am

LeSZ0 wrote:
Thu Jul 12, 2018 4:58 am
Hi all!
I've a problem trying install the rtlwifi_new module.
When i try run "make" command, the result of my terminal is the follow:
Makefile:970: *** "Cannot generate ORC metadata for CONFIG_UNWINDER_ORC=y, please install libelf-dev, libelf-devel or elfutils-libelf-devel"
I've installed libelf-devel but the error persist..
Anyone can help me with these? Thanks!

Per the output, you require libelf-devel installed (answer copy/pasted from here - the magic of the search feature)

LeSZ0
Posts: 3
Joined: Thu Jul 12, 2018 4:50 am

Re: Cannot install realtek rtl8822be WiFi Driver

Thu Jul 12, 2018 10:05 am

kyrios wrote:
Thu Jul 12, 2018 8:12 am
LeSZ0 wrote:
Thu Jul 12, 2018 4:58 am
Hi all!
I've a problem trying install the rtlwifi_new module.
When i try run "make" command, the result of my terminal is the follow:
Makefile:970: *** "Cannot generate ORC metadata for CONFIG_UNWINDER_ORC=y, please install libelf-dev, libelf-devel or elfutils-libelf-devel"
I've installed libelf-devel but the error persist..
Anyone can help me with these? Thanks!

Per the output, you require libelf-devel installed (answer copy/pasted from here - the magic of the search feature)
Hey Kyrios, thanks! i've already installed libelf-devel but nothing has changed.

User avatar
kyrios
Posts: 2161
Joined: Thu Sep 22, 2016 4:20 pm

Re: Cannot install realtek rtl8822be WiFi Driver

Thu Jul 12, 2018 1:46 pm

LeSZ0 wrote:
Thu Jul 12, 2018 10:05 am
kyrios wrote:
Thu Jul 12, 2018 8:12 am
LeSZ0 wrote:
Thu Jul 12, 2018 4:58 am
Hi all!
I've a problem trying install the rtlwifi_new module.
When i try run "make" command, the result of my terminal is the follow:


I've installed libelf-devel but the error persist..
Anyone can help me with these? Thanks!

Per the output, you require libelf-devel installed (answer copy/pasted from here - the magic of the search feature)
Hey Kyrios, thanks! i've already installed libelf-devel but nothing has changed.
You could try with elfutils-devel and if you need 32-bit compatibility, you may also want to install the -32bit-devel packages

LeSZ0
Posts: 3
Joined: Thu Jul 12, 2018 4:50 am

Re: Cannot install realtek rtl8822be WiFi Driver

Thu Jul 12, 2018 3:35 pm

kyrios wrote:
Thu Jul 12, 2018 1:46 pm
LeSZ0 wrote:
Thu Jul 12, 2018 10:05 am
kyrios wrote:
Thu Jul 12, 2018 8:12 am


Per the output, you require libelf-devel installed (answer copy/pasted from here - the magic of the search feature)
Hey Kyrios, thanks! i've already installed libelf-devel but nothing has changed.
You could try with elfutils-devel and if you need 32-bit compatibility, you may also want to install the -32bit-devel packages
Installed elfutils-devel and 32bit packages, but this no fix the problem..
Any idea?

Return to “Other Questions”